#!/bin/sh

# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5724-J34, 5655-P28  (C) COPYRIGHT International Business Machines Corp., 2006,2010
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

binDir=`dirname $0`
. "$binDir"/setupCmdLine.sh

if [ -f ${JAVA_HOME}/bin/java ]; then
    JAVA_EXE="${JAVA_HOME}/bin/java"
else
    JAVA_EXE="${JAVA_HOME}/jre/bin/java"
fi

${JAVA_EXE} ${WXS_REAL_TIME_JAVA} \
  -classpath "$OBJECTGRID_HOME"/lib/ogclient.jar \
  -Djava.util.logging.manager=com.ibm.ws.bootstrap.WsLogManager \
  -Djava.util.logging.configureByServer=true \
  com.ibm.ws.objectgrid.security.util.FilePasswordEncoder \
  "$@"
